%define anolis_release 4

Name:           python-jupyter-lsp
Version:        2.1.0
Release:        %{anolis_release}%{?dist}
Summary:        Multi-Language Server WebSocket proxy for Jupyter Notebook/Lab server
License:        BSD-3-Clause
URL:            https://pypi.org/project/jupyter-lsp/
Source:         %{pypi_source jupyter-lsp}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
Multi-Language Server WebSocket proxy for your Jupyter notebook or lab server.
For Python 3.6+.}


%description %_description

%package -n     python3-jupyter-lsp
Summary:        %{summary}

Requires:       python-jupyter-filesystem

%description -n python3-jupyter-lsp %_description


%prep
%autosetup -p1 -n jupyter-lsp-%{version}

sed -i "/--cov /d" setup.cfg
sed -i "/--cov-report/d" setup.cfg
sed -i "/--flake8/d" setup.cfg

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files jupyter_lsp

install -m 0755 -p -d %{buildroot}%{_sysconfdir}/jupyter/jupyter_notebook_config.d
install -m 0755 -p -d %{buildroot}%{_sysconfdir}/jupyter/jupyter_server_config.d
mv -v %{buildroot}{%{_prefix},}%{_sysconfdir}/jupyter/jupyter_notebook_config.d/jupyter-lsp-notebook.json
mv -v %{buildroot}{%{_prefix},}%{_sysconfdir}/jupyter/jupyter_server_config.d/jupyter-lsp-jupyter-server.json


%check
# test_r_package_detection fails if R language server is not installed
%pytest -k "not test_r_package_detection"


%files -n python3-jupyter-lsp -f %{pyproject_files}
%config(noreplace) %{_sysconfdir}/jupyter/jupyter_notebook_config.d/jupyter-lsp-notebook.json
%config(noreplace) %{_sysconfdir}/jupyter/jupyter_server_config.d/jupyter-lsp-jupyter-server.json


%changelog
* Tue May 27 2025 wh02252983 <wh02252983@alibaba-inc.com> - 2.1.0-4
- Rebuild with python-tornado

* Wed Mar 27 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 2.1.0-3
- Rebuild with python3.11

* Wed Mar 27 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 2.1.0-2
- Rebuild with python3.11

* Fri May 19 2023 Funda Wang <fundawang@yeah.net> - 2.1.0-1
- New version 2.1.0

* Thu May 18 2023 Funda Wang <fundawang@yeah.net> - 1.5.1-1
- Import package for anolis 23
